/*** ScianButtons.c function prototypes */

#ifndef SCIANBUTTONS
#define SCIANBUTTONS

#define BS_PLAIN 0
#define BS_PITTED 1

extern ObjPtr	radioButtonClass;		/* class of radio buttons */
extern ObjPtr	oldRadioButtonClass;		/* class of old radio buttons */
extern ObjPtr	checkBoxClass;			/* class of check boxes */
extern ObjPtr	buttonClass;			/* class of buttons */
extern ObjPtr	iconButtonClass;		/* class of icon buttons */
extern ObjPtr	radioGroupClass;		/* class of '90.. er, um.. */

#ifdef PROTO
void	DrawButtonFrame(int left, int right,
	  int bottom, int top, int depth, int topcolor);
void	InitButtons();
void	KillButtons();
ObjPtr	NewButton(int left, int right, int bottom, int top, char *label);
ObjPtr	NewIconButton(int, int, int, int, int, int, char *, int);
ObjPtr	NewIconLabeledButton(int, int, int, int, int, int, char *, int);
ObjPtr	NewRadioButton(int left, int right, int bottom, int top, char *label);
ObjPtr	NewCheckBox(int, int, int, int, char *, Bool);
ObjPtr	NewRadioButtonGroup(char *);
void	AddRadioButton(ObjPtr theGroup, ObjPtr theButton);
Bool	MakeButtonToggled(ObjPtr, Bool);
Bool	ActivateButton(ObjPtr, Bool);
Bool	ToggleButtonActivated(ObjPtr);
#else
void	DrawButtonFrame();
void	DrawButton();
void	InitButtons();
void	KillButtons();
ObjPtr	NewIconButton();
ObjPtr	NewIconLabeledButton();
ObjPtr	NewButton();
ObjPtr	NewRadioButton();
ObjPtr	NewCheckBox();
ObjPtr	NewRadioButtonGroup();
void	AddRadioButton();
Bool	MakeButtonToggled();
Bool	ActivateButton();
Bool	ToggleButtonActivated();
#endif
#endif
